name: Deploy to Artifacts

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: docker
    steps:
      - uses: actions/checkout@v4
        with:
          submodules: true
          fetch-depth: 0

      - name: Setup Hugo
        uses: https://github.com/peaceiris/actions-hugo@v3
        with:
          hugo-version: "0.125.4"
          extended: true

      - name: Build
        run: hugo --minify

      - name: Deploy to MinIO
        uses: https://github.com/yakubique/minio-upload@v1.1.3
        with:
          endpoint: https://artifacts.fromouter.space
          access_key: ${{ secrets.MINIO_ACCESS }}
          secret_key: ${{ secrets.MINIO_SECRET }}
          bucket: strimertul-website
          source: ./public/
          target: /
          recursive: true
